Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.decider
Class ConstructionHeuristicDecider

    java.lang.Object
      org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer
          org.optaplanner.core.impl.constructionheuristic.decider.ConstructionHeuristicDecider

    public class ConstructionHeuristicDecider

extends AbstractEntityPlacer

Field Summary
`protected boolean` | `assertExpectedUndoMoveScore`
`protected boolean` | `assertMoveScoreFromScratch`
`protected ConstructionHeuristicForager` | `forager`
`protected Termination` | `termination`

Fields inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer
`logger, phaseLifecycleSupport`

Constructor Summary
`ConstructionHeuristicDecider(Termination termination, ConstructionHeuristicForager forager)`

Method Summary
`void` | `decideNextStep(ConstructionHeuristicStepScope stepScope, Placement placement)`
`ConstructionHeuristicForager` | `getForager()`
`void` | `phaseEnded(ConstructionHeuristicPhaseScope phaseScope)`
`void` | `phaseStarted(ConstructionHeuristicPhaseScope phaseScope)`
`void` | `setAssertExpectedUndoMoveScore(boolean assertExpectedUndoMoveScore)`
`void` | `setAssertMoveScoreFromScratch(boolean assertMoveScoreFromScratch)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(ConstructionHeuristicStepScope stepScope)`
`void` | `stepStarted(ConstructionHeuristicStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### termination

    protected final Termination termination

### forager

    protected final ConstructionHeuristicForager forager

### assertMoveScoreFromScratch

    protected boolean assertMoveScoreFromScratch

### assertExpectedUndoMoveScore

    protected boolean assertExpectedUndoMoveScore

Constructor Detail

### ConstructionHeuristicDecider

    public ConstructionHeuristicDecider(Termination termination,
                                        ConstructionHeuristicForager forager)

Method Detail

### getForager

    public ConstructionHeuristicForager getForager()

### setAssertMoveScoreFromScratch

    public void setAssertMoveScoreFromScratch(boolean assertMoveScoreFromScratch)

### setAssertExpectedUndoMoveScore

    public void setAssertExpectedUndoMoveScore(boolean assertExpectedUndoMoveScore)

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Overrides:
    `solvingStarted` in class `AbstractEntityPlacer`

### phaseStarted

    public void phaseStarted(ConstructionHeuristicPhaseScope phaseScope)

### stepStarted

    public void stepStarted(ConstructionHeuristicStepScope stepScope)

### stepEnded

    public void stepEnded(ConstructionHeuristicStepScope stepScope)

### phaseEnded

    public void phaseEnded(ConstructionHeuristicPhaseScope phaseScope)

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Overrides:
    `solvingEnded` in class `AbstractEntityPlacer`

### decideNextStep

    public void decideNextStep(ConstructionHeuristicStepScope stepScope,
                               Placement placement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.